Name:           fsam7400
Version:        0.5.1
Release:        1%{?dist}
Summary:        RF Kill switch software button for Fujitsu-Siemens

Group:          System Environment/Kernel
License:        GPL
URL:            http://rfswitch.sourceforge.net/?page=laptop_matrix
Source0:        http://zwobbl.homelinux.net/pub/fsam7400-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	fsam7400-kmod-common = %{version}
Requires:	fsam7400-kmod >= %{version}
BuildArch:	noarch   

%description
This module allows change the status of wireless card's radio on 
Fujitsu-Siemens Amilo M 7440 and others.
This is the common part.

%prep
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT
cat > fsam7400.modprobe <<EOF
# kwizart fsam7400 wireless modprobe
options fsam7400 radio=1
## You can also use these Features (See the INSTALL file)
# options fsam7400 radio=1 uid=1000 gid=500
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 fsam7400.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/fsam7400

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG FILES LICENSE INSTALL README
%{_sysconfdir}/modprobe.d/fsam7400



%changelog
* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.5.1-1.fc6
- Initial Release.
